variable "location" {
  description = <<-EOT
    Location of the infrastructure. Needs to be aligned with network zone.
    For more information visit https://docs.hetzner.com/cloud/general/locations/
  EOT
  type        = string
}

variable "lb_type" {
  description = "Type of loadbalancer"
  type        = string
  default     = "lb11"
}

variable "lb_algorithm" {
  description = "Type of the Load Balancer Algorithm. round_robin or least_connections"
  type        = string
  default     = "least_connections"
}

variable "domain" {
  description = "Domain name of the load balancer"
  type        = string
  default     = "wordpress-jr.senecops.com"
}

variable "lb_external_ip" {
  description = "IP address of the loadbalancer"
  type        = string
}

variable "lb_internal_ip" {
  description = "Internal IP address of the loadbalancer"
  type        = string
}

variable "subnet_id" {
  description = "ID of the subnetwork to attach the loadbalancer to"
  type        = string
}
