variable "location" {
  description = <<-EOT
    Location of the infrastructure. Needs to be aligned with network zone.
    For more information visit https://docs.hetzner.com/cloud/general/locations/
  EOT
  type        = string
}

variable "network_zone" {
  description = <<-EOT
    Name of the network zone. Needs to be aligned with server location.
    For more information visit https://docs.hetzner.com/cloud/general/locations/
  EOT
  type        = string
}

variable "server_count" {
  description = "The number of servers to create"
  type        = number
}

variable "subnetwork_ip_range" {
  description = "Subnetwork IP range of the servers"
  type        = string
}

variable "lb_external_ip" {
  description = "IP address of the loadbalancer"
  type        = string
}

variable "lb_internal_ip" {
  description = "Internal IP address of the loadbalancer"
  type        = string
}
